airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmet Murphy (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-2014) Task Instance batch update errors with sqlalchemy No row was found for one()
Date Fri, 19 Jan 2018 18:06:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-2014?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16332666#comment-16332666
] 

Emmet Murphy commented on AIRFLOW-2014:
---------------------------------------

The underlying cause of this error for us was handling of sub-DAG ids by the HTML form, such
that it adds an extra dot between parent and sub-DAG names. More details and a patch are available
in the pull request: https://github.com/apache/incubator-airflow/pull/2956

> Task Instance batch update errors with sqlalchemy No row was found for one()
> ----------------------------------------------------------------------------
>
>                 Key: AIRFLOW-2014
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-2014
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: ui
>    Affects Versions: 1.8.1
>            Reporter: Emmet Murphy
>            Priority: Major
>             Fix For: Airflow 2.0
>
>
> In Admin task instances UI, when we bulk select tasks that are 'up_for_retry' and attempt
'With selected -> set state to success', it shows an error screen with:
> Traceback (most recent call last):
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/airflow/www/views.py", line
2415, in set_task_instance_state
>  TI.execution_date == execution_date).one()
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/sqlalchemy/orm/query.py", line
2820, in one
>  raise orm_exc.NoResultFound("No row was found for one()")
> sqlalchemy.orm.exc.NoResultFound: No row was found for one()
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/app.py", line 1988, in
wsgi_app
>  response = self.full_dispatch_request()
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/app.py", line 1641, in
full_dispatch_request
>  rv = self.handle_user_exception(e)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/app.py", line 1544, in
handle_user_exception
>  reraise(exc_type, exc_value, tb)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/_compat.py", line 33,
in reraise
>  raise value
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/app.py", line 1639, in
full_dispatch_request
>  rv = self.dispatch_request()
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask/app.py", line 1625, in
dispatch_request
>  return self.view_functions[rule.endpoint](**req.view_args)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask_admin/base.py", line 69,
in inner
>  return self._run_view(f, *args, **kwargs)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask_admin/base.py", line 368,
in _run_view
>  return fn(self, *args, **kwargs)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask_admin/model/base.py",
line 2068, in action_view
>  return self.handle_action()
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/flask_admin/actions.py", line
113, in handle_action
>  response = handler[0](ids)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/airflow/www/views.py", line
2384, in action_set_success
>  self.set_task_instance_state(ids, State.SUCCESS)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/airflow/utils/db.py", line 53,
in wrapper
>  result = func(*args, **kwargs)
>  File "/var/lib/airflow/venv/lib/python3.6/site-packages/airflow/www/views.py", line
2422, in set_task_instance_state
>  raise Exception("Ooops")
> Exception: Ooops
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message